<?php
function amdhas_get_slider_sections() {
		$amdhas_sections = array();
		
		$amdhas_sections[] = array("id" => "amdhas_slider",
					"name" => __('Featured Posts Slider', 'amdhas'));
					
		return $amdhas_sections;
	}
	
	function amdhas_get_slider_settings() {
		
		$amdhas_settings = array();
						
		$amdhas_settings[] = array("name" => __('Show Post Slider?', 'amdhas'),
						"desc" => __('Check this if you want to show the Featured Post Slider.', 'amdhas'),
						"id" => "amdhas_show_slider",
						"std" => "false",
						"type" => "checkbox",
						"section" => "amdhas_slider");
													
		$amdhas_settings[] = array("name" =>  __('Slider Effect', 'amdhas'),
						"desc" => "",
						"id" => "amdhas_slider_mode",
						"std" => "0",
						"type" => "select",
						'choices' => array(
									0 => __('Horizontal Slider', 'amdhas'),
									1 => __('vertical Slider', 'amdhas'),
									2 => __('Fade Slider', 'amdhas'),
                                                                        3 => __('slideY', 'amdhas'),
                                                                        4 => __('blindX', 'amdhas'),
                                                                        5 => __('blindY', 'amdhas'),
                                                                        6 => __('blindZ', 'amdhas'),
                                                                        7 => __('growing', 'amdhas'),
                                                                        8 => __('curtain', 'amdhas'),
                                                                        9 => __('cover', 'amdhas'),
                                                                        10 => __('Zoom Slider', 'amdhas')),
						"section" => "amdhas_slider"
						);

		$amdhas_settings[] = array("name" => __('Slider Content', 'amdhas'),
						"desc" => "",
						"id" => "amdhas_slider_content",
						"std" => "0",
						"type" => "radio",
						'choices' => array(
									0 => __('Show latest posts', 'amdhas'),
									1 => __('Show latest posts from category "featured"', 'amdhas'),
									2 => __('Show latest posts with post_meta_key "featured"', 'amdhas'),
									3 => __('Show latest posts from custom category(enter ID below)', 'amdhas')),
						"section" => "amdhas_slider"
						);
						
		$amdhas_settings[] = array("name" => __('category ID', 'amdhas'),
						"desc" => __("Please enter the category ID you'd like to include in the slideshow.(You have to tick the last option above)", 'amdhas'),
						"id" => "amdhas_slider_cat",
						"std" => "1",
						"type" => "text",
						"section" => "amdhas_slider");

		$amdhas_settings[] = array("name" => __('Number of Posts', 'amdhas'),
						"desc" => __('Enter the number how much posts should be displayed in the post slider.', 'amdhas'),
						"id" => "amdhas_slider_limit",
						"std" => "5",
						"type" => "text",
						"section" => "amdhas_slider");
		
		return $amdhas_settings;
	}

?>