<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
     <meta charset="<?php bloginfo( 'charset' ); ?>" />
     <title><?php wp_title( '&raquo;', true, 'right' ); ?></title>
     <meta name="viewport" content="width=device-width" />
     <link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
     <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
     <!--[if IE]> <script src="<?php echo get_template_directory_uri(); ?>/includes/js/html5.js" type="text/javascript"></script>
     <![endif]-->
     <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<section id="main-content">
                 <div class="row batas">
     <section id="header">
                        <?php           
                        wp_nav_menu(array('theme_location' => 'navi', 'container' => false, 'menu_id' => 'secondary', 'echo' => true, 'fallback_cb' => 'amdhas_default_menu', 'before' => '', 'after' => '', 'link_before' => '', 'link_after' => '', 'depth' => 0));
?>
  <div class="heading-menu">
    <div id="head">
<?php if ( get_header_image() != '' ) : ?>
         <div class="alignleft">
             <h1 class="site-title"><span><a href="<?php echo home_url( '/' ); ?>"><img src="<?php header_image(); ?>" width="<?php echo HEADER_IMAGE_WIDTH; ?>" height="<?php echo HEADER_IMAGE_HEIGHT; ?>" alt="<?php bloginfo('description'); ?>" /></a></span></h1>
            
         </div>
<?php endif; ?>
<?php if ( !get_header_image() ) : ?>
         <div class="alignleft">
             <h1 class="site-title"><span><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></span></h1>
             <p class="site-description">
<?php bloginfo( 'description' ); ?>
             </p>
        </div>                  
<?php endif; ?>
                          </div>
                         <div class="alignright">    
<?php $amdhas_options = get_option('amdhas_options'); ?>
<?php if (!empty($amdhas_options['amdhas_remove_searchform'])== '0'): ?>
<?php get_search_form(); ?>
<?php endif; ?>
                         </div>    
                 </div>  
                     <div class="clearfix"></div>        
                                     <?php           
                                      wp_nav_menu(array('theme_location' => 'secondary', 'container' => false, 'menu_id' => 'navmenu', 'echo' => true, 'fallback_cb' => 'amdhas_secondary_menu', 'before' => '', 'after' => '', 'link_before' => '', 'link_after' => '', 'depth' => 0));
                                     ?>
                     <div class="clearfix"></div>

     </section>
                 </div>