<?php
	function amdhas_get_general_sections() {
		$amdhas_sections = array();
		
		$amdhas_sections[] = array("id" => "amdhas_general_layout",
					"name" => __('Layout Settings', 'amdhas'));
					return $amdhas_sections;

	}	
	function amdhas_get_general_settings() {
		$amdhas_settings = array();
                $amdhas_settings[] = array("name" =>  __('Width your layout', 'amdhas'),
						"desc"  => __('You can choose width your homepage', 'amdhas'),
						"id" => "amdhas_layout_flex",
						"std" => "1",
						"type" => "select",
						'choices' => array(
									1 => __('fluid responsive', 'amdhas'),
                                                                        2 => __('960px', 'amdhas'),	
                                                                        3 => __('900px', 'amdhas'),										                                                                        
                                                                        4 => __('800px', 'amdhas'),
                                                                        5 => __('750px', 'amdhas'),
                                                                        6 => __('700px', 'amdhas'),	
                                                                        7 => __('680px', 'amdhas'),										                                                                        
                                                                        8 => __('650px', 'amdhas'),
                                                                        9 => __('550px - Recomended 1column layout', 'amdhas'),
                                                                        10 => __('400px - Recomended 1column layout', 'amdhas'),
                                                                        11 => __('320px - Recomended 1column layout', 'amdhas')),
						"section" => "amdhas_general_layout" );
	                
                $amdhas_settings[] = array("name" => __('You can choose if you want your site home page to have a sidebar on the left, showcase with slider effect, or landing page like a profesional site. <b>Remember to click "Save Changes" to save any changes you have made to the theme options.</b>', 'amdhas'),
						"desc" => "",
						"id" => "amdhas_layout_options",
						"std" => "0",
						"type" => "radio",
						'choices' => array(
                                                                        0 => __('<img src="'.get_stylesheet_directory_uri().'/options/images/landing1.jpg" class="img-opborder"/><p class="haempat"> Homepage default style</p>', 'amdhas'),
									1 => __('<img src="'.get_stylesheet_directory_uri().'/options/images/landing2.jpg" class="img-opborder"/><p class="haempat"> Home page grid portofolio</p>', 'amdhas'),                                               
                                                                        2 => __('<img src="'.get_stylesheet_directory_uri().'/options/images/landing3.jpg" class="img-opborder"/><p class="haempat"> Homepage left sidebar and slider</p>', 'amdhas'),
                                                                        3 => __('<img src="'.get_stylesheet_directory_uri().'/options/images/landing4.jpg" class="img-opborder"/><p class="haempat"> Homepage right sidebar and slider</p>', 'amdhas'),
                                                                        4 => __('<img src="'.get_stylesheet_directory_uri().'/options/images/landing5.jpg" class="img-opborder"/><p class="haempat"> Homepage showcase and latest post</p>', 'amdhas'),
                                                                        5 => __('<img src="'.get_stylesheet_directory_uri().'/options/images/landing6.jpg" class="img-opborder"/><p class="haempat"> Homepage landing2</p>', 'amdhas'),
                                                                        6 => __('<img src="'.get_stylesheet_directory_uri().'/options/images/landing7.jpg" class="img-opborder"/><p class="haempat"> Homepage grid with excerpt</p>', 'amdhas'),
                                                                        7 => __('<img src="'.get_stylesheet_directory_uri().'/options/images/landing8.jpg" class="img-opborder"/><p class="haempat"> Homepage one column</p>', 'amdhas')),
                                              
                                                "section" => "amdhas_general_layout" );

               $amdhas_settings[] = array("name" =>  __('Menu Primary', 'amdhas'),
						"desc"  => __('You can choose your primary menu appear on the left or right', 'amdhas'),
						"id" => "amdhas_primary_menu_layout",
						"std" => "1",
						"type" => "select",
						'choices' => array(
									1 => __('left primary menu', 'amdhas'),									                                                                        
                                                                        2 => __('right primary menu', 'amdhas'),
                                                                        3 => __('disable primary menu', 'amdhas')),
						"section" => "amdhas_general_layout" );

              $amdhas_settings[] = array("name" =>  __('Menu secondary', 'amdhas'),
						"desc"  => __('You can choose your secondary menu appear on the left or right', 'amdhas'),
						"id" => "amdhas_menu_layout",
						"std" => "1",
						"type" => "select",
						'choices' => array(
									1 => __('right secondary menu', 'amdhas'),									                                                                        
                                                                        2 => __('left secondary menu', 'amdhas'),
                                                                        3 => __('disable secondary menu', 'amdhas')),
						"section" => "amdhas_general_layout" );

              $amdhas_settings[] = array("name" =>  __('Single page and single post layout', 'amdhas'),
						"desc" => __('You can choose what layout will appear on single post and page.', 'amdhas'),
						"id" => "amdhas_single_layout",
						"std" => "1",
						"type" => "select",
						'choices' => array(
									1 => __('sidebar left', 'amdhas'),									                                                                        
                                                                        2 => __('sidebar right', 'amdhas'),
                                                                        3 => __('one column', 'amdhas')),
						"section" => "amdhas_general_layout" );

              $amdhas_settings[] = array("name" =>  __('Font Stack', 'amdhas'),
						"desc"  => __('Choose what font you like for copy body', 'amdhas'),
						"id" => "amdhas_font_stack",
						"std" => "",
						"type" => "select",
						'choices' => array(     0 => __('Unna Font Face', 'amdhas'),
									1 => __('Arial, Helvetica, sans-serif', 'amdhas'),									                                                                        
                                                                        2 => __('Palatino Linotype, Palatino, Baskerville, Georgia, serif', 'amdhas'),
                                                                        3 => __('Tahoma, Verdana, Segoe, sans-serif', 'amdhas'),
                                                                        4 => __('Times, "Times New Roman", sans-serif', 'amdhas'),
                                                                        5 => __('Lucida Grande, Arial, sans-serif', 'amdhas'),
                                                                        6 => __('Georgia, palatino, serif', 'amdhas')),              
						"section" => "amdhas_general_layout" );
                                                        
                $amdhas_settings[] = array("name" =>__('Heading your site', 'amdhas'),
						"desc" => __('Enter your heading text here. This will appear on your home landing page', 'amdhas'),
						"id" => "amdhas_heading_intro",
						"std" => "",
						"type" => "text",
						 "section" => "amdhas_general_layout");
                                      
                $amdhas_settings[] = array("name" => __('Put your site description, welcome message or everything that describe your site', 'amdhas') . '',
						"desc" => __('Type your text for message, description you can add html markup like &lt;blockquote&gt;, &lt;q&gt;, &lt;img src="" alt=""/&gt;, &lt;a href=""&gt;&lt;/a&gt;', 'amdhas'),
						"id" => "amdhas_general_intro",
						"std" => "",
						"type" => "textarea",
						"section" => "amdhas_general_layout");
				       
                $amdhas_settings[] = array("name" =>__('text your button', 'amdhas'),
						"desc" => __('Enter your text button here', 'amdhas'),
						"id" => "amdhas_text_button",
						"std" => "",
						"type" => "text",
						 "section" => "amdhas_general_layout");      

                $amdhas_settings[] = array("name" =>__('url your button', 'amdhas'),
						"desc" => __('Enter your URL for text button here', 'amdhas'),
						"id" => "amdhas_url_button",
						"std" => "",
						"type" => "text",
						 "section" => "amdhas_general_layout");      

                $amdhas_settings[] = array("name" => __('Remove button', 'amdhas') . '',
						"desc" => __('check here if you like to remove button', 'amdhas'),
						"id" => "amdhas_button",
						"std" => "",
						"type" => "ched",
						"section" => "amdhas_general_layout");

                $amdhas_settings[] = array("name" =>  __('This option for your image on homepage', 'amdhas'),
						"desc" => __('</br>Upload Image for your landing page or you can just paste your image URL', 'amdhas'),
						"id" => "amdhas_general_logo",
						"std" => "",
						"type" => "image",
						"section" => "amdhas_general_layout");

                $amdhas_settings[] = array("name" => __('Disable image upload', 'amdhas') . '',
						"desc" => __('<span class="red-text"><b>NOTE :</b> If you check this you can not upload your image for <b><i>Homepage default style and Home landing 2<i></b>, but you can change with other things on the textarea below.</span>', 'amdhas'),
						"id" => "amdhas_removal_image",
						"std" => "",
						"type" => "ched",
						"section" => "amdhas_general_layout");
                        
                $amdhas_settings[] = array("name" => __('Put your site description, welcome message or everything that describe your site', 'amdhas') . '',
						"desc" => __('Type your text for message, description you can add html markup like &lt;blockquote&gt;, &lt;q&gt;, &lt;img src="" alt=""/&gt;, &lt;a href=""&gt;&lt;/a&gt;', 'amdhas'),
						"id" => "amdhas_general_download",
						"std" => "",
						"type" => "textarea",
						"section" => "amdhas_general_layout");

               $amdhas_settings[] = array("name" => __('footer script code', 'amdhas') . '',
						"desc" => __('Here you can put scripts from Google, Facebook, Add This etc. Code will put on the footer', 'amdhas'),
						"id" => "amdhas_analitic_code",
						"std" => "",
						"type" => "textarea",
						"section" => "amdhas_general_layout");
	        
	         		                                       
return $amdhas_settings;
	}

?>