<?php
function amdhas_get_settings_page_tabs() {
		$tabs = array(
			'general' => __('General', 'amdhas'),
                        'logic' => __('Logical Element', 'amdhas'),
			'slider' => __('Sliding effect', 'amdhas'),
			'social' => __('Social buttons', 'amdhas'),
			'ads' => __('Ads area', 'amdhas')
		);
		return $tabs;
	}	
function amdhas_get_sections($tab) {
switch ( $tab ) :
			case 'general' :
                        require_once dirname( __FILE__ ) . '/options/general.php';                             			
				$amdhas_sections = amdhas_get_general_sections();
			break;
                        case 'logic' :
                                require_once dirname( __FILE__ ) . '/options/element.php';
				$amdhas_sections = amdhas_get_logic_sections();
			break;
			case 'slider' :
                                require_once dirname( __FILE__ ) . '/options/sliding-efect.php';
				$amdhas_sections = amdhas_get_slider_sections();
			break;
			case 'social' :
				require_once dirname( __FILE__ ) . '/options/social.php';
				$amdhas_sections = amdhas_get_social_sections();
			break;
			case 'ads' :
				require_once dirname( __FILE__ ) . '/options/ads.php';
				$amdhas_sections = amdhas_get_ads_sections();
			break;
                        
			default :
				require_once dirname( __FILE__ ) . '/options/general.php';
				$amdhas_sections = amdhas_get_general_sections();
			break;
		endswitch;
		
		return $amdhas_sections;
	}	
function amdhas_get_settings($tab = 'general') {
switch ( $tab ) :
			case 'general' :
				require_once dirname( __FILE__ ) . '/options/general.php'; 
				$amdhas_settings = amdhas_get_general_settings();
			break;
                        case 'logic' :
                                require_once dirname( __FILE__ ) . '/options/element.php';
				$amdhas_settings = amdhas_get_logic_settings();
			break;
			case 'slider' :
				require_once dirname( __FILE__ ) . '/options/sliding-efect.php';
				$amdhas_settings = amdhas_get_slider_settings();
			break;
			case 'social' :
				require_once dirname( __FILE__ ) . '/options/social.php';
				$amdhas_settings = amdhas_get_social_settings();
			break;
			case 'ads' :
				require_once dirname( __FILE__ ) . '/options/ads.php';
				$amdhas_settings = amdhas_get_ads_settings();
			break;
                        
			default :
				require_once dirname( __FILE__ ) . '/options/general.php';
				$amdhas_settings = amdhas_get_general_settings();
			break;
		 endswitch;
		
		return $amdhas_settings;
	}

function amdhas_body_classes( $classes ) {
	if ( is_singular() )        
        $amdhas_options = get_option('amdhas_options');
	if(!empty($amdhas_options['amdhas_single_layout']))	
        {
	switch($amdhas_options['amdhas_single_layout']) {
        case 1:
		$classes[] = 'left-sidebar';
        break;
	case 2:
                $classes[] = 'right-sidebar';
        break;
        case 3:
                $classes[] = 'one-column';
        break;
        default:
        $classes[] = 'left-sidebar';
        break;
               }

}
else{
       $classes[] = 'left-sidebar';
}
	return $classes;

}//end
add_filter( 'body_class', 'amdhas_body_classes' );
function amdhas_menu_classes( $classes ) {	       
        $amdhas_options = get_option('amdhas_options');
	if(!empty($amdhas_options['amdhas_menu_layout']))	
        {
	switch($amdhas_options['amdhas_menu_layout']) {
        case 1:
		$classes[] = '';
        break;
	case 2:
                $classes[] = 'lmenu';
        break;
        case 3:
                $classes[] = 'nosecondary';
        break;
        default:
        $classes[] = '';
        break;
               }

}
else{
       $classes[] = '';
}
	return $classes;

}//end
add_filter( 'body_class', 'amdhas_menu_classes' );
function amdhas_menu_primary_classes( $classes ) {	       
        $amdhas_options = get_option('amdhas_options');
	if(!empty($amdhas_options['amdhas_primary_menu_layout']))	
        {
	switch($amdhas_options['amdhas_primary_menu_layout']) {
        case 1:
		$classes[] = '';
        break;
	case 2:
                $classes[] = 'rprimary';
        break;
        case 3:
                $classes[] = 'noprimary';
        break;
        default:
        $classes[] = '';
        break;
               }

}
else{
       $classes[] = '';
}
	return $classes;

}//end
add_filter( 'body_class', 'amdhas_menu_primary_classes' );
function amdhas_layout_classes( $classes ) {	       
        $amdhas_options = get_option('amdhas_options');
	if(!empty($amdhas_options['amdhas_layout_flex']))	
        {
	switch($amdhas_options['amdhas_layout_flex']) {
        case 1:
		$classes[] = '';
        break;
	case 2:
                $classes[] = 'flex1';
        break;
        case 3:
                $classes[] = 'flex2';
        break;
        case 4:
                $classes[] = 'flex3';
        break;
        case 5:
                $classes[] = 'flex4';
        break;
        case 6:
                $classes[] = 'flex5';
        break;
        case 7:
                $classes[] = 'flex6';
        break;
        case 8:
                $classes[] = 'flex7';
        break;
        case 9:
                $classes[] = 'flex8';
        break;        
        case 10:
                $classes[] = 'flex9';
        break;
        case 11:
                $classes[] = 'flex10';
        break;
        default:
        $classes[] = '';
        break;
               }

}
else{
       $classes[] = '';
}
	return $classes;

}//end
add_filter( 'body_class', 'amdhas_layout_classes' );
function amdhas_typo_classes($typo) {	       
        $amdhas_options = get_option('amdhas_options');
	if(!empty($amdhas_options['amdhas_font_stack']))	
        {
	switch($amdhas_options['amdhas_font_stack']) {
        case 0:
                $typo[] = '';		 
        break;
        case 1:
		$typo[] = 'arial';
        break;
	case 2:
                $typo[] = 'palatino';
        break;
        case 3:
                $typo[] = 'tahoma';
        break;
        case 4:
                $typo[] = 'times';
        break;
        case 5:
                $typo[] = 'lucida';
        break;
        case 6:
                $typo[] = 'georgia';
        break;      
        default:
        $typo[] = '';
        break;
               }
}
else{
       $typo[] = '';
}
	return $typo ;

}//end
add_filter( 'body_class', 'amdhas_typo_classes' );

function amdhas_admin_enqueue_scripts( $hook_suffix ) { 
	      if ( isset($_GET['page']) and $_GET['page'] == 'amdhas' ) :
	      wp_enqueue_style('amdhas_options_style', get_template_directory_uri() .'/options/css/admin-style.css');		  
              wp_enqueue_style('amdhas_options_color', get_template_directory_uri() .'/options/css/colorpicker.css');		                        
              wp_enqueue_script('thickbox');
              wp_enqueue_script('media-upload');
              wp_enqueue_script('jquery'); 
              wp_enqueue_script('amdhas_color', get_template_directory_uri() .'/options/js/custom.js');	 	  
              wp_enqueue_script('color', get_template_directory_uri() .'/options/js/colorpicker.js');                   	              
	      wp_enqueue_script('amdhas_theme_options', get_template_directory_uri() .'/options/js/jquery-image-upload.js', array('jquery','media-upload','thickbox'));	 	  
              wp_localize_script('image_upload', 'localizing_upload_js', array(
				'use_this_image' => __('Use this Image', 'amdhas')
			));
	      wp_enqueue_style('thickbox');
		endif;
	}
?>